/* Menu */
ul.wp-block-navigation-submenu {
  background-color: var(--wp--preset--color--contrast);
  color: var(--wp--preset--color--accent-1);
}

/* Animations sur le menu principal */
a.wp-block-navigation-item__content::after,
a.wp-block-navigation-item__content::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: linear-gradient(to right, #0004ff, #00ffff);
  bottom: -5px;
  left: 0;
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.4s ease-out;
}

a.wp-block-navigation-item__content::before {
  top: -5px;
  transform-origin: left;
}

a.wp-block-navigation-item__content:hover::after,
a.wp-block-navigation-item__content:hover::before {
  transform: scaleX(1);
}

:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
  text-decoration: none;
}

/* Zoom sur les images dans les Actualités */
figure.wp-block-post-featured-image.zoom-hover {
  overflow: hidden;
}
figure.wp-block-post-featured-image.zoom-hover img.attachment-post-thumbnail {
  transition: transform 0.5s ease;
}
figure.wp-block-post-featured-image.zoom-hover
  img.attachment-post-thumbnail:hover {
  transform: scale(1.1);
}
/* Animation sur le titre du site */

p.wp-block-site-title {
  transition: transform 0.5s ease;
}
p.wp-block-site-title:hover {
  transform: scale(1.1);
}
